Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Class DefaultLoaderRepository

    java.lang.Object
      |
      +--javax.management.DefaultLoaderRepository

public class DefaultLoaderRepository
extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`DefaultLoaderRepository()`

Method Summary
`static java.lang.Class` | `loadClass(java.lang.String className)` Go through the list of class loaders and try to load the requested class.
`static java.lang.Class` | `loadClassWithout(java.lang.ClassLoader loader, java.lang.String className)` Go through the list of class loaders but exclude the given class loader, then try to load the requested class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultLoaderRepository

    public DefaultLoaderRepository()

Method Detail

### loadClass

    public static java.lang.Class loadClass(java.lang.String className)
                                     throws java.lang.ClassNotFoundException

  Go through the list of class loaders and try to load the requested class. The method will stop as soon as the class is found. If the class is not found the method will throw a `ClassNotFoundException` exception.
  Parameters:
    `className` - The name of the class to be loaded.
  Throws:
    java.lang.ClassNotFoundException - The specified class could not be found.

### loadClassWithout

    public static java.lang.Class loadClassWithout(java.lang.ClassLoader loader,
                                                   java.lang.String className)
                                            throws java.lang.ClassNotFoundException

  Go through the list of class loaders but exclude the given class loader, then try to load the requested class. The method will stop as soon as the class is found. If the class is not found the method will throw a `ClassNotFoundException` exception.
  Parameters:
    `className` - The name of the class to be loaded.
    `loader` - The class loader to be excluded.
  Throws:
    java.lang.ClassNotFoundException - The specified class could not be found.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD